Contents

# Timer Function

Vraća vrijednost koja je broj sekundi od ponoći.

Prvo morate deklarirati varijable da bi pozvali Timer funkciju i označili "Long" data tip, inače se vraća vrijednost datuma

### Syntax:

      Timer

### Return type:

Datum

### Example:

      Sub ExampleTimer
          Dim lSec As Long,lMin As Long,lHour As Long
          lSec = Timer
          MsgBox lSec, 0, "Seconds since midnight"
          lMin = Int(lSec / 60)
          lSec = lSec Mod 60
          lHour = Int(lMin / 60)
          lMin = lMin Mod 60
        MsgBox Format(lHour,"00") & ":"& Format(lMin,"00") & ":" & Format(lSec,"00"),  0, "The time is"
    End Sub

The Timer function measures time in seconds. To measure time in milliseconds use the Timer service available in the ScriptForge library.

Related Topics

ScriptForge.Timer service

Please support us!